/*
 Copyright (c) 2015, Oracle and/or its affiliates. All rights
 reserved.
 
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; version 2 of
 the License.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 02110-1301  USA
 */
#ifndef NDBMEMCACHE_SCHEDULER_GLOBAL_H
#define NDBMEMCACHE_SCHEDULER_GLOBAL_H

#include "ndbmemcache_global.h"
#include "SchedulerConfigManager.h"
#include <memcached/types.h>


class GlobalConfigManager {
public:
  GlobalConfigManager(int nthreads);
  ~GlobalConfigManager();
  bool reconfigure(Configuration *);
  void configureSchedulers();
  SchedulerConfigManager ** getSchedulerConfigManagerPtr(int thread, int cluster) const {
    return & schedulerConfigManagers[(thread * nclusters) + cluster];
}

protected:
  int nclusters;
  int nthreads;
  Configuration *conf;

private:
  unsigned int generation;
  SchedulerConfigManager ** schedulerConfigManagers;
};

#endif

